package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.annotation.FieldDescriber;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Pattern;

/**
 * @Author: sunxiang
 * @Date: 2018/6/27 15:40
 * @Description:
 **/
public class UserPersonalModel {
    private Long userId;
    private String username;//用户名
    private String authState;//认证状态
    private String authKey;//鉴权KEY
    private String authSecret;//鉴权secret
    private String registerPhone;//注册时的手机号
    private String SectorName;//部门名称

   /* @Pattern(regexp = "^\\d{11}$", message = "请输入正确的手机号码")
    @NotEmpty
    @FieldDescriber(descripton = "手机号")*/
    private String authPhone;//认证时的手机号  此手机号为user_personal表中的手机号，显示认证的手机号
    @NotEmpty
    @FieldDescriber(descripton = "姓名")
    private String fullName;//姓名
   /* @Pattern(regexp = "(^[1-9]\\d{5}(18|19|([23]\\d))\\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\\d{3}[0-9Xx]$)|(^[1-9]\\d{5}\\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\\d{2}$)", message = "请输入正确的身份证")
    @NotEmpty
    @FieldDescriber(descripton = "身份证号")*/
    private String idCard;//身份证号
    private String bankCard;//银行卡号
    @NotEmpty
    @FieldDescriber(descripton = "认证方式")
    private String authMethod;//认证方式

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public String getSectorName() {
        return SectorName;
    }

    public void setSectorName(String sectorName) {
        SectorName = sectorName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getAuthKey() {
        return authKey;
    }

    public void setAuthKey(String authKey) {
        this.authKey = authKey;
    }

    public String getAuthSecret() {
        return authSecret;
    }

    public void setAuthSecret(String authSecret) {
        this.authSecret = authSecret;
    }

    public String getRegisterPhone() {
        return registerPhone;
    }

    public void setRegisterPhone(String registerPhone) {
        this.registerPhone = registerPhone;
    }

    public String getAuthPhone() {
        return authPhone;
    }

    public void setAuthPhone(String authPhone) {
        this.authPhone = authPhone;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getAuthMethod() {
        return authMethod;
    }

    public void setAuthMethod(String authMethod) {
        this.authMethod = authMethod;
    }
}
